Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Robosapien

    java.lang.Object
      Robosapien

    public class Robosapien

extends java.lang.Object

Field Summary
`static int` | `Backward_Step`
`static int` | `Bulldozer`
`static int` | `Burp`
`static int` | `Dance`
`static int` | `Demo`
`static int` | `Demo_One`
`static int` | `Forward_Step`
`static int` | `Get_Sensors` Send this code to get sensor readings
`static int` | `High_Five`
`static int` | `Lean_Backward`
`static int` | `Lean_Forward`
`static boolean` | `Left_Arm` True when left arm sensor has been activated
`static int` | `Left_Arm_Down`
`static int` | `Left_Arm_In`
`static int` | `Left_Arm_Out`
`static int` | `Left_Arm_Up`
`static int` | `Left_Hand_Pickup`
`static int` | `Left_Hand_Thump`
`static boolean` | `Left_Leg` True when left leg sensor has been activated
`static int` | `Left_Turn_Step`
`static int` | `Oops`
`static int` | `Reset`
`static boolean` | `Right_Arm` True when right arm sensor has been activated
`static int` | `Right_Arm_Down`
`static int` | `Right_Arm_In`
`static int` | `Right_Arm_Out`
`static int` | `Right_Arm_Up`
`static int` | `Right_Hand_Pickup`
`static int` | `Right_Hand_Throw`
`static int` | `Right_Hand_Thump`
`static boolean` | `Right_Leg` True when right leg sensor has been activated
`static int` | `Right_Turn_Step`
`static int` | `Roar`
`static SimpleSerial` | `ss` This variable is passed around for serial communciations.
`static int` | `Stop_Code`
`static int` | `Tilt_Body_Left`
`static int` | `Tilt_Body_Right`
`static int` | `Turn_Left`
`static int` | `Turn_Right`
`static int` | `Walk_Backward`
`static int` | `Walk_Forward`
`static int` | `Whistle`

Constructor Summary
`Robosapien(int CommPort)` Initialize and return a Robosapien object

Method Summary
`static int` | `sendCode(int Code)` Send a code to the Robosapien
`static void` | `sendGetSensors()` Get sensor hits, and set global variables appropriately

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ss

    public static SimpleSerial ss

  This variable is passed around for serial communciations. Shouldn't be necessary to acces for most Robosapien coding

### Left_Arm

    public static boolean Left_Arm

  True when left arm sensor has been activated

### Right_Arm

    public static boolean Right_Arm

  True when right arm sensor has been activated

### Left_Leg

    public static boolean Left_Leg

  True when left leg sensor has been activated

### Right_Leg

    public static boolean Right_Leg

  True when right leg sensor has been activated

### Dance

    public static int Dance

### Get_Sensors

    public static int Get_Sensors

  Send this code to get sensor readings

### Turn_Right

    public static int Turn_Right

### Right_Arm_Up

    public static int Right_Arm_Up

### Right_Arm_Out

    public static int Right_Arm_Out

### Tilt_Body_Right

    public static int Tilt_Body_Right

### Right_Arm_Down

    public static int Right_Arm_Down

### Right_Arm_In

    public static int Right_Arm_In

### Walk_Forward

    public static int Walk_Forward

### Walk_Backward

    public static int Walk_Backward

### Turn_Left

    public static int Turn_Left

### Left_Arm_Up

    public static int Left_Arm_Up

### Left_Arm_Out

    public static int Left_Arm_Out

### Tilt_Body_Left

    public static int Tilt_Body_Left

### Left_Arm_Down

    public static int Left_Arm_Down

### Left_Arm_In

    public static int Left_Arm_In

### Stop_Code

    public static int Stop_Code

### Right_Turn_Step

    public static int Right_Turn_Step

### Right_Hand_Thump

    public static int Right_Hand_Thump

### Right_Hand_Throw

    public static int Right_Hand_Throw

### Right_Hand_Pickup

    public static int Right_Hand_Pickup

### Lean_Forward

    public static int Lean_Forward

### Lean_Backward

    public static int Lean_Backward

### Forward_Step

    public static int Forward_Step

### Backward_Step

    public static int Backward_Step

### Left_Turn_Step

    public static int Left_Turn_Step

### Left_Hand_Thump

    public static int Left_Hand_Thump

### Left_Hand_Pickup

    public static int Left_Hand_Pickup

### Reset

    public static int Reset

### Burp

    public static int Burp

### High_Five

    public static int High_Five

### Bulldozer

    public static int Bulldozer

### Oops

    public static int Oops

### Whistle

    public static int Whistle

### Roar

    public static int Roar

### Demo

    public static int Demo

### Demo_One

    public static int Demo_One

Constructor Detail

### Robosapien

    public Robosapien(int CommPort)

  Initialize and return a Robosapien object

  Parameters:
    `CommPort` - The COM number for the serial port

Method Detail

### sendCode

    public static int sendCode(int Code)

  Send a code to the Robosapien

  Parameters:
    `Code` - An integer containing the code, see below for possible code
  Returns:
    An integer:
    - -1 for failure
    - The number sent by the BasicX for success
    - When reading sensors, this number indicates>/li> which sensors have been hit

### sendGetSensors

    public static void sendGetSensors()

  Get sensor hits, and set global variables appropriately

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD